Open Source e-Learning
  • Login

Breadcrumb Navigation

Tabs

Functions

  • vfried | vfried | 07. Jan 2019, 19:29
    ILIAS 5.3.x with PHP 7.2

    Hallo,
    habe Ilias 5.3.10 unter PHP-Version 7.1.22 installiert. Der Administrations-Zugang (/setup/setup.php) funktioniert. Auch der NutzerZugang (Login-Webseite für Nutzer) und die Nutzung der Lernplattform funktionieren, insbesondere die Containerobjekte (Magazin, Kurs, Gruppe), das Hinzufügen des ILIAS-Lernmodul und Medienpools sowie deren Nutzungen (z.B. Video-Streaming) sind top.

    Bei der Umstellung der PHP-Version auf Version 7.2 in der  .htaccess-Datei bekomme ich beim Aufruf des Administrations-Zugangs eine Fehlermeldung „Use of undefined constant ERROR_HANDLER - assumed 'ERROR_HANDLER' (this will throw an Error in a future version of PHP)”. Der Aufruf der Login-Webseite (Administrations-Zugang) ist nicht möglich. Die Login-Webseite für Nutzer ist ebenfalls nicht aufrufbar. Das Browserfenster bleibt völlig leer (weis), insbesondere keine Fehlermeldung. Die Administration und die Nutzung der Lernplattform ist ausgeschlossen.

    Ist im Moment eine Umstellung mit  Ilias5.3.10 auf PHP-Version 7.2 noch nicht möglich?

    Fred

  • ILIAS_LM | ILIAS_LM | 08. Jan 2019, 07:37
    Re: ILIAS 5.3.x with PHP 7.2
  • vfried | vfried | 10. Jan 2019, 11:42
    Re (2): ILIAS 5.3.x with PHP 7.2
    Hallo Alix Mela,

    vielen Dank für diese Information.

    Wie ich in Erfahrung bringen konnte, kommt eine stabile Version von Ilias 5.4.0 im März 2019. Eine Beta-Bersion wurde im Okt. 2018 veröffentlicht.

    Quelle: https://docu.ilias.de/goto_docu_wiki_wpage_4816_1357.html

    Viele Grüße

    Fred

Functions